# Get Futures Risk Limit

#### /sapi/v1/position/risk/limit

Request type: GET

Signature verification: Yes

Interface permission: Read

Rate Limit: Generally, the private interface rate limit of API key is at most 144 times every 3 seconds for each account (Trade Interface: at most 72 times every 3 seconds. Read Interface: at most 72 times every 3 seconds) (this rate limit is shared by all the altcoins contracts delivered by different date).

Interface description: Get the Futures Risk Limit information of your current futures position.

### Request Address

| Environment                         | Address                                     |
| ----------------------------------- | ------------------------------------------- |
| Online                              | [https://api.sunx.io](https://api.sunx.io/) |
| Online (preferred by aws customers) | [https://api.sunx.io](https://api.sunx.io/) |

### Request Parameter

| Parameter      | Data Type | Required | Description   | Value Range                                              | Default Value |
| -------------- | --------- | -------- | ------------- | -------------------------------------------------------- | ------------- |
| contract\_code | String    | false    | Symbol        | "BTC-USDT", "ETH-USDT"……                                 |               |
| margin\_mode   | String    | false    | Margin mode   | cross: Cross margin                                      |               |
| position\_side | String    | false    | Position side | long: going long; short: going short; both: One-way mode |               |

### Response Parameter

| Parameter                 | Data Type | Required | Description                                         | Value Range                                                                                                 |
| ------------------------- | --------- | -------- | --------------------------------------------------- | ----------------------------------------------------------------------------------------------------------- |
| contract\_code            | String    | true     | Symbol                                              | BTC-USDT", "ETH-USDT"……                                                                                     |
| contract\_type            | String    | true     | Contract type                                       | swap: Perpetual; this\_week: Weekly; next\_week: Bi-weekly; quarter: Quarterly; next\_quarter: Bi-quarterly |
| margin\_mode              | String    | true     | Margin mode                                         | cross: Cross margin                                                                                         |
| position\_side            | String    | true     | Position side                                       | long: going long; short: going short; both: One-way mode                                                    |
| max\_lever                | String    | true     | Current maximum leverage                            |                                                                                                             |
| maintenance\_margin\_rate | String    | true     | Current maintenance margin ratio                    |                                                                                                             |
| max\_volume               | String    | true     | Current maximum position size maximum position Cont |                                                                                                             |
| min\_volume               | String    | true     | Current minimum position size minimum position Cont |                                                                                                             |
| volume\_unit              | String    | true     | Position Unit                                       | contract: cont usdt：USDT                                                                                    |

### Request Example

```
GET https://api.sunx.io/sapi/v1/position/risk/limit?contract_code=BTC-USDT&SignatureVersion=2&SignatureVersion=2&AccessKeyId=<your key>&Signature=<your signature>&SignatureMethod=HmacSHA256&Timestamp=2025-09-16T07%3A16%3A15

```

### Response Example

```
{
  "code": 200,
  "message": "Success",
  "data": [
    {
      "contract_code": "BTC-USDT",
      "margin_mode": "cross",
      "position_side": "short",
      "max_lever": "200",
      "maintenance_margin_rate": "0.003850000000000000",
      "max_volume": "400.000000000000000000",
      "min_volume": "1.000000000000000000",
      "volume_unit": "contract"
    }
  ],
  "ts": 1740453921437
}
```
